@import '../../../../assets/styles/general';
@import '../../../../assets/styles/card';
@import '../../../../assets/styles/button';

:host {
  display: block;
  margin: 20px 10px;
  width: calc(100vw - 20px);
  max-width: calc(100vw - 20px);
}

table {
  direction: rtl;
  font-family: iranSans;
  min-width: 560px;
  width: 100%;
}

mat-card {
  padding-bottom: 0;
}

mat-card-content {
  overflow-x: auto;
  overflow-y: hidden;
  direction: rtl;
}

.mat-cell,
.mat-header-cell {
  text-align: right;
  font-size: $text-size-sm;
}

.mat-header-cell {
  font-weight: bold;
}

.mat-header-cell:first-of-type {
  width: 90px;
  min-width: 90px;
}

.mat-header-cell:nth-of-type(2) {
  width: 100px;
  min-width: 100px;
}

.mat-header-cell:nth-of-type(3) {
  width: 120px;
  min-width: 120px;
}

.mat-header-cell:nth-of-type(4) {
  width: 80px;
  min-width: 80px;
}

.mat-header-cell:last-of-type,
.mat-header-cell:nth-of-type(5) {
  width: 60px;
  min-width: 60px;
}

.no-content {
  font-family: iranSans;
  font-size: $text-size-sm;
  padding: 10px 5px 20px;
  display: block;
  color: #6c6767;
}
@media screen and (min-width: 450px) and (max-width: 768px) {
  :host {
    margin: 25px 25px;
    width: calc(100vw - 50px);
    max-width: calc(100vw - 50px);
  }

  table {
    min-width: 620px;
  }

  .mat-cell,
  .mat-header-cell,
  .no-content {
    font-size: $text-size-m;
  }

  .no-content {
    padding: 10px 10px 25px;
  }
}
@media screen and (min-width: 769px) and (max-width: 992px) {
  :host {
    margin: 30px 35px;
    width: calc(100vw - 70px);
    max-width: calc(100vw - 70px);
  }

  .mat-cell,
  .mat-header-cell,
  .no-content {
    font-size: $text-size-lg;
  }

  .no-content {
    padding: 10px 10px 35px;
  }
}
@media screen and (min-width: 992px) and (max-width: 1200px) {
  :host {
    margin: 40px 40px;
    width: calc(100vw - 80px);
    max-width: calc(100vw - 80px);
  }

  .mat-cell,
  .mat-header-cell,
  .no-content {
    font-size: $text-size-xlg;
  }

  .no-content {
    padding: 10px 10px 40px;
  }
}
@media screen and (min-width: 1200px) {
  :host {
    margin: 50px 50px;
    width: calc(100vw - 100px);
    max-width: calc(100vw - 100px);
  }

  .mat-cell,
  .mat-header-cell,
  .no-content {
    font-size: $text-size-xlg;
  }

  .no-content {
    padding: 10px 10px 45px;
  }
}
